/**
 * C-code modifications Copyright (C) 2009 Alfred Steffens Jr.
 * based on TekTracker, Copyright (C) 2001 Billy Biggs and Andrew Lewycky.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef THREAD_H_INCLUDED
#define THREAD_H_INCLUDED

struct Thread {
	pthread_t thread_handle;
	int running;
    struct Thread *next;
};

struct Thread *Create_Thread(void);
void Delete_Thread(struct Thread *pth);
int thread_run(struct Thread *pth);
void thread_stop(struct Thread *pth);
void thread_testcancel(void);
 

#endif // THREAD_H_INCLUDED
