/**
 * C code modifications Copyright (C) 2009 Alfred Steffens Jr.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */



#define MAX_PATH_LENGTH     256
#define MAX_FILENAME_LENGTH 128
#define MAX_LINE_LENGTH     256
#define MAX_ASCORE_LINE     1024
#define MAX_DEVICES         32
#define M_TRUE              1
#define M_FALSE             0
#define USEINTCLOCK         M_TRUE
#define USEEXTCLOCK         M_FALSE
#define USE_RT              M_TRUE
#define NO_RT               M_FALSE
#define USE_BEATPULSE       M_TRUE
#define NO_BEATPULSE        M_FALSE
#define DEFAULT_TEMPO       140
#define DEFAULT_OCTAVE      3
#define DEFAULT_VELOCITY    64

#define SONG_NOTEOFF        128
#define SONG_NOTEEMPTY      -1

#define MAX_NAME_LENGTH        32
#define NAME_LENGTH             8       // not an allocation size!

#define ERROR_DISPLAY_STDERR        1
#define ERROR_DISPLAY_SLANG         2
#define MESSAGE_DISPLAY_STDOUT      1
#define MESSAGE_DISPLAY_SLANG       2

#define SONGLEN                 1024
#define SONGPATLEN               128
#define SONGMAXPAT               128
#define SONGMAXCHAN              64
#define NUM_BARS                8
#define MAX_COPYBUFFER          16384

#define MAX_BREAK_COUNT         100
#define MIDI_THREAD_BREATH      10
#define MIDI_WRITE_PAUSE        10000L   // microseconds
#define DEFAULT_RTCLOCK         64
#define MAX_NOTE_IDUR           64

